# tcp.h File Reference

Basic functions to receive and send TCP packets. More...

`#include "address.h"`
`#include "packet.h"`

Go to the source code of this file.

## Data Structures
class | NetworkTCPSocketHandler
| Base socket handler for all TCP sockets. More...
class | TCPConnecter
| "Helper" class for creating TCP connections in a non-blocking manner More...

## Detailed Description

Basic functions to receive and send TCP packets.

Definition in file tcp.h.